import request from '@/utils/request';

//分页查询变电站辅控设备
export function queryDevice(params:any){
    return request({
      url: '/auxcontrol/meter-device/page',
      method: 'get',
      params:params
    });
}
//查询所有变电站辅控设备
export function listDevice(params:any){
  return request({
    url: '/monitorConfig/Device/list',
    method: 'post',
    params:params
  });
}
//新增变电站辅控设备信息
export function addDevice(data:any){
    return request({
      url: '/auxcontrol/meter-device/addMeterDevice',
      method: 'post',
      data
    });
  }
//修改变电站辅控设备信息
export function updateDevice(data:any){
    return request({
      url: '/auxcontrol/meter-device/updateMeterDevice',
      method: 'post',
      data
    });
  }
//根据ID删除变电站辅控设备信息
export function deleteDeviceById(params:any){
    return request({
      url: '/auxcontrol/meter-device/deleteMeterDeviceById',
      method: 'post',
      params:params
    });
  }
  //批量删除变电站辅控设备信息
export function deleteDeviceByIds(params:any){
    return request({
      url: '/auxcontrol/meter-device/deleteDeviceByIds',
      method: 'post',
      params:params
    });
  }

  //批量修改变电站辅控设备信息
export function updateDeviceByIds(params:any){
  return request({
    url: '/auxcontrol/meter-device/batchUpdateMeterDeviceIp' ,
    method: 'post',
    data:params
});
}

//查询视频监控的设备信息
export function listWvpDevices(params:any){
  return request({
    url: '/monitorConfig/Device/listWvpDevices',
    method: 'post',
    params:params
  });
}